package com.framsticks.running;

import org.apache.log4j.Logger;

import com.framsticks.params.annotations.FramsClassAnnotation;

@FramsClassAnnotation
public class LoggingOutputListener implements OutputListener {
	private static final Logger log =
		Logger.getLogger(LoggingOutputListener.class);


	@Override
	public void onLineRead(String line) {
		log.info(line);
	}

}
