package com.framsticks.util;

import org.apache.log4j.Logger;

/**
 * @author Piotr Sniegowski
 */
public abstract class Logging {
	public static boolean log(Logger logger, String action, Object subject, Exception e) {
		if (e != null) {
			logger.error("failed to " + action + " " + subject + ": ", e);
			return true;
		}
		if (logger.isDebugEnabled()) {
			logger.debug("done: " + action + " " + subject);
		}
		return false;
	}
}
