package com.framsticks.running;

import org.testng.annotations.Test;

import com.framsticks.core.Framsticks;
import com.framsticks.test.TestConfiguration;
import com.framsticks.util.dispatching.Monitor;

import static org.fest.assertions.Assertions.*;

@Test
public class FramsServerTest extends TestConfiguration {

	@Test(timeOut = 3000)
	public void runServer() {
		Framsticks framsticks = Framsticks.loadConfiguration(FramsServerTest.class.getResourceAsStream("/configs/FramsServerTest.xml"));

		assertThat(framsticks.getObservables().size()).isEqualTo(1);
		assertThat(framsticks.getObservables().get("frams")).isInstanceOf(FramsServer.class);
		// assertThat(framsticks.getObservables().get("remote")).isInstanceOf(RemoteInstance.class);

		new Monitor(framsticks).use().useFor(1.0).drop().join();

		// monitor.use();

		// Dispatching.sleep(1000);

		// // monitor.waitFor();
		// monitor.drop();
		// monitor.join();

		// framsticks.start();

		// framsticks.waitForObservables();

	}

}
